.accordion__button {
  cursor: pointer;

  .accordion__trigger {
    transform: rotate(0deg);
    transition: transform 0.2s ease-in-out;
  }

  &[aria-expanded='true'] .accordion__trigger,
  &[aria-selected='true'] .accordion__trigger {
    transform: rotate(90deg);

    &--half-rotation {
      transform: rotate(45deg);
    }
  }
}
